[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# GetCBreak

Get control-Break flag

## Declaration

Source position: dosh.inc line 130

`procedure GetCBreak(`
`var breakvalue: Boolean`
`);`

## Description

GetCBreak gets the status of CTRL-Break checking under dos and Amiga. When BreakValue is false, then dos only checks for the CTRL-Break key-press when I/O is performed. When it is set to True, then a check is done at every system call.

Remark: | Under non-dos and non-Amiga operating systems, BreakValue always returns True.

## Errors

None

## See also

SetCBreak |  | Set Control-Break flag status

Documentation generated on: Feb 26 2014